# Apache mod_rewrite rules to give better URLs
RewriteEngine on

# Apple Touch Icons
RewriteRule ^apple-touch-icon/([0-9]+)/([^/]+)\.([a-z]{3})$ ../libraries/utils/image_resizer.php?site=$2&dir=../meta&size=$1&image=$2.$3&logic=apple-touch-icon [L,QSA]

#
# Major League
#
# Mugshots
RewriteRule ^(ahl|n[fh]l)/(players)/([a-z0-9]+)/(.*\.[a-z]{3})$ ../libraries/utils/image_resizer.php?site=$1&dir=$2&size=$3&image=$4 [L,QSA]

#
# Motorsport
#
# Flags
RewriteRule ^(f1|sgp)/(flags)/([0-9]+)/(.*\.[a-z]{3})$ ../libraries/utils/image_resizer.php?site=$1&dir=$2&size=$3&image=$4&logic=header-flags [L,QSA]
# Mugshots
RewriteRule ^(f1|sgp)/(20[01][0-9]/drivers)/([a-z0-9]+)/(.*\.[a-z]{3})$ ../libraries/utils/image_resizer.php?site=$1&dir=$2&size=$3&image=$4&logic=mugshots [L,QSA]

